
<div class="referral-housing-preference">
  <app-content-banner [isDashboard]="false" pageName="Referral Housing Preference"></app-content-banner>
  <mat-card class="rhp-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <app-referral-package-client-banner></app-referral-package-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)" #tabs>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Applicant Preference</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-applicant-preferences [preference] ="appPreference" [boroughOptions]="boroughOptions" [apartmentOptions]="apartmentOptions" [appPrefFlag]="appPrefVCSRecord" [parentPageID]=2 (onValueChange)="onApplicantPrefChange($event)"></app-applicant-preferences>
              </div>
            </div>
          </ng-template>
        </mat-tab>   
        <mat-tab>
          <ng-template matTabLabel>
            <span>Recommended Services</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-recommended-services [recommendedServices]="recommendedServices" [parentPageID]="2"></app-recommended-services> 
              </div>
            </div>
          </ng-template>
        </mat-tab>      
        <mat-tab>
          <ng-template matTabLabel>
            <span>Activities of Daily Life</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-adl-review [pactApplicationID]="applicationID" [parentPage]="'VCS'"></app-adl-review>
                <!-- <app-shared-adl [parentPage]="'VCS'" ></app-shared-adl> -->
              </div>
            </div>
          </ng-template>
        </mat-tab>      
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave(true)" [isSaveRequired] = "showBtn" (Clearbtn)="clearPage()" [isClearRequired] = "showBtn" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"  ></app-nav-footer>
</div>
